import { AlgChannelService } from "./channel.service";
import { HttpClient } from "@angular/common/http";
import { ApiVisa } from '../../../shared/api-visa.model';
export declare class WebService extends AlgChannelService {
    constructor(httpClient: HttpClient);
    /**
     * Methods to receive message sent by user/customer from web chat component.
     */
    receiveMessage(data: any, apiVisa: ApiVisa): import("rxjs").Observable<Object>;
    receiveMediaMessage(data: any, apiVisa: ApiVisa): import("rxjs").Observable<Object>;
    initiateConversationForLoginSubject(data: any, apiVisa: ApiVisa): import("rxjs").Observable<Object>;
    initiateConversationForGuest(data: any, apiVisa: ApiVisa): import("rxjs").Observable<Object>;
    closeConversation(data: any, apiVisa: ApiVisa): import("rxjs").Observable<Object>;
}
